//
//  OOVGroupsDataSource.h
//  ooVoo
//
//  Created by Evan Davis on 1/16/13.
//  Copyright (c) 2013 ooVoo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "User.h"
#import "OOVControllerContext.h"
#import "OOVGroupsTableViewCell.h"

@class OOVRecentMomentsController;

@interface OOVGroupsDataSource : NSObject <UITableViewDataSource,NSFetchedResultsControllerDelegate>

@property (nonatomic, retain) OOVControllerContext *controllerContext;
@property (nonatomic, strong) User *user;
@property (nonatomic, strong) OOVGroup *selectedGroup;
@property (nonatomic, strong) OOVRecentMomentsController *recentMomentsController;
@property (nonatomic, assign) BOOL isShowingEvents;
@property (nonatomic, strong) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic,   weak) id <NSFetchedResultsControllerDelegate> fetchedResultsControllerDelegate;
@property (nonatomic, strong) NSString *search;

- (id)initWithFetchedResultsDelegate:(id <NSFetchedResultsControllerDelegate>)aFecthedResultsControllerDelegate  user:(User *)user controllerContext:(OOVControllerContext *)controllerContext;
- (void)resetData;
- (NSInteger)numberOfGroups;
- (OOVGroup *)groupAtIndexPath:(NSIndexPath *)indexPath;
- (NSIndexPath*)indexPathForGroup:(OOVGroup*)group;
- (void)configureCell:(OOVGroupsTableViewCell*)cell WithGroup:(OOVGroup *)group;

@end

